{ # try!
    ./back_step.sh
} || { # catch!
    echo " ----------------- ERROR back_step -----------------"
    exit 1
}

{ # try!
    ./front_step.sh
} || { # catch!
    echo " ----------------- ERROR front_step -----------------"
    exit 1
}

cd ../mobile
grunt buildEnvironment:production
grunt uglify

{ # try!
    grunt zhWords:verbose
} || { # catch!
    echo " ----------------- ERROR grunt zhWords -----------------"
    exit 1
}

echo 'Update version in bower.json --------------------------------------------------------------------------'
../ci_scripts/replace.sh "0.0.0" "4.8.1" "bower.json"
../ci_scripts/replace.sh "<>APPLICATION_VERSION<>" "4.8.1" "index.html"
../ci_scripts/replace.sh "<>APPLICATION_VERSION<>" "4.8.1" "assets/js/app.min.js"

echo 'Remove not necessary files from package ---------------------------------------------------------------'
rm -Rf ./assets/js/controllers
rm -Rf ./assets/js/services
